Attribute VB_Name = "globals"
'---------------------------------------------------------------
' Visual Basic Game Programming for Teens
' Globals File
'---------------------------------------------------------------

Option Explicit
Option Base 0

'Windows API functions
Public Declare Function GetTickCount Lib "kernel32" () As Long

'*** new, added in chapter 14
Public Declare Function IntersectRect _
Lib "user32" ( _
lpDestRect As RECT, _
lpSrc1Rect As RECT, _
lpSrc2Rect As RECT) _
As Long

'colors
Public Const C_PURPLE As Long = &HFFFF00FF
Public Const C_RED As Long = &HFFFF0000
Public Const C_GREEN As Long = &HFF00FF00
Public Const C_BLUE As Long = &HFF0000FF
Public Const C_WHITE As Long = &HFFFFFFFF
Public Const C_BLACK As Long = &H0
Public Const C_GRAY As Long = &HFFAAAAAA



'customize the program here
Public Const FULLSCREEN As Boolean = False
Public Const SCREENWIDTH As Long = 640
Public Const SCREENHEIGHT As Long = 480
Public Const STEP As Integer = 8

'player constants
Public Const WALKSPEED As Integer = 2
Public Const PLAYERSTARTX As Long = 1445
Public Const PLAYERSTARTY As Long = 1207



'tile and game world constants
Public Const TILEWIDTH As Long = 64
Public Const TILEHEIGHT As Long = 64
Public Const MAPWIDTH As Long = 1500
Public Const MAPHEIGHT As Long = 2000
Public Const GAMEWORLDWIDTH As Long = TILEWIDTH * MAPWIDTH
Public Const GAMEWORLDHEIGHT As Long = TILEHEIGHT * MAPHEIGHT

'scrolling window size
Public Const WINDOWWIDTH As Integer = (SCREENWIDTH \ TILEWIDTH) * TILEWIDTH
Public Const WINDOWHEIGHT As Integer = (SCREENHEIGHT \ TILEHEIGHT) * TILEHEIGHT

'scroll buffer size
Public Const SCROLLBUFFERWIDTH As Integer = SCREENWIDTH + TILEWIDTH
Public Const SCROLLBUFFERHEIGHT As Integer = SCREENHEIGHT + TILEHEIGHT

Public fontImg As Direct3DTexture8
Public fontSpr As TSPRITE


